Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[SOLVED] reiser4-hardened-sources hardened-development
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
costel78
Guru
Guru


Joined: 20 Apr 2007
Posts: 310

PostPosted: Thu Oct 15, 2009 8:51 am    Post subject: [SOLVED] reiser4-hardened-sources hardened-development Reply with quote

Hello!

I'm on hardened profile, I'm using hardened-development overlay and reiser4 as filesystem for /
Since hardened-sources-2.6.31-r3 the patches does not apply clean on derivated ebuild.
As for original ebuild everything goes smoothly I suspect that problem is reiser4-for-2.6.31.patch.patch and routes-2.6.31-16.patch are applied first.

There is my ebuild:
Code:

# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/sys-kernel/hardened-sources/hardened-sources-2.6.29.ebuild,v 1.1 2009/05/25 04:36:12 gengor Exp $

ETYPE="sources"
K_WANT_GENPATCHES="base extras"
K_GENPATCHES_VER="4"
R4V="2.6.31"
ROUTES="routes-2.6.31-16.diff"

inherit kernel-2
detect_version

HGPV="${KV_MAJOR}.${KV_MINOR}.${KV_PATCH}-4"
HGPV_URI="http://dev.gentoo.org/~anarchy/dist/hardened-patches-${HGPV}.extras.tar.bz2"
SRC_URI="${KERNEL_URI} ${HGPV_URI} ${GENPATCHES_URI} ${ARCH_URI}
        mirror://kernel/linux/kernel/people/edward/reiser4/reiser4-for-2.6/reiser4-for-${R4V}.patch.bz2 \
        http://www.ssi.bg/~ja/${ROUTES}"

UNIPATCH_LIST="${DISTDIR}/hardened-patches-${HGPV}.extras.tar.bz2 \
         ${DISTDIR}/reiser4-for-${R4V}.patch.bz2 ${DISTDIR}/${ROUTES}"
UNIPATCH_EXCLUDE="4201_fbcondecor-0.9.6.patch"

DESCRIPTION="Hardened kernel sources (kernel series ${KV_MAJOR}.${KV_MINOR})"
HOMEPAGE="http://www.gentoo.org/proj/en/hardened/"
IUSE=""

KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"

pkg_postinst() {
   kernel-2_pkg_postinst
   local GRADM_COMPAT="sys-apps/gradm-2.1.14*"
   ewarn
   ewarn "As of ${CATEGORY}/${PN}-2.6.24 the predefined"
   ewarn "\"Hardened [Gentoo]\" grsecurity level has been removed."
   ewarn "Two improved predefined security levels replace it:"
   ewarn "\"Hardened Gentoo [server]\" and \"Hardened Gentoo [workstation]\""
   ewarn
   ewarn "Those who intend to use one of these predefined grsecurity levels"
   ewarn "should read the help associated with the level. Users importing a"
   ewarn "kernel configuration from a kernel prior to ${PN}-2.6.24,"
   ewarn "should review their selected grsecurity/PaX options carefully."
   ewarn
   ewarn
   ewarn "Users of grsecurity's RBAC system must ensure they are using"
   ewarn "${GRADM_COMPAT}, which is compatible with kernel series ${OKV}."
   ewarn "Therefore, it is strongly recommended that the following command is"
   ewarn "issued prior to booting a ${P} series kernel for"
   ewarn "the first time:"
   ewarn
   ewarn "emerge -na =${GRADM_COMPAT}"
   ewarn
}


and here are errors: (to big for pastebin)
plain text
archived

I can apply patches manually and obtain a working kernel-sources but I prefer to rely on ebuild.
Can anybody make a suggestion ?

Thank you very much!

Later:
I'm stupid or too tired.
It's HGPV="${KV_MAJOR}.${KV_MINOR}.${KV_PATCH}-6"
_________________
Sorry for my English. I'm still learning this language.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum